[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockTree.HitTest

Returns the control and the part of the dockzone at the given coordinates.

## Declaration

Source position: controls.pp line 2622

`protected function TDockTree.HitTest(`
`const MousePos: TPoint;`
`var HTFlag: Integer`
`):TControl; virtual;`

## Arguments

`MousePos` |  | The client coordinates.
`HTFlag` |  | Returns the zone part at MousePos.

## Function result

The docked control.